% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/Sampler1D.R
\docType{data}
\name{Sampler1DCateg}
\alias{Sampler1DCateg}
\title{Sampler1DCateg Class}
\format{\link[R6:R6Class]{R6::R6Class} inheriting from \link{Sampler1D}.}
\description{
Sampling from a discrete distribution, for a \link{ParamFct} or \link{ParamLgl}.
}
\section{Construction}{
\preformatted{smpl = Sampler1DCateg$new(param, prob = NULL)
}
\itemize{
\item \code{param} :: \link{Param}\cr
Domain / support of the distribution we want to sample from.
\item \code{prob} :: \code{numeric()}\cr
Numeric vector of \code{param$nlevels} probabilities, which is uniform by default.
}
}

\section{Fields}{

See \link{Sampler1D}.
Additionally, the class provides:
\itemize{
\item \code{prob} :: \code{numeric(n)}\cr
Numeric vector of \code{param$nlevels} probabilities, which is uniform by default.
}
}

\section{Methods}{

See \link{Sampler1D}.
}

\seealso{
Other Sampler: \code{\link{Sampler1DNormal}},
  \code{\link{Sampler1DRfun}}, \code{\link{Sampler1DUnif}},
  \code{\link{Sampler1D}},
  \code{\link{SamplerHierarchical}},
  \code{\link{SamplerJointIndep}},
  \code{\link{SamplerUnif}}, \code{\link{Sampler}}
}
\concept{Sampler}
\keyword{datasets}
