% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/generate_design_grid.R
\name{generate_design_grid}
\alias{generate_design_grid}
\title{Generate a Grid Design}
\usage{
generate_design_grid(param_set, resolution = NULL,
  param_resolutions = NULL)
}
\arguments{
\item{param_set}{:: \link{ParamSet}.}

\item{resolution}{:: \code{integer(1)}\cr
Global resolution for all \link{Param}s.}

\item{param_resolutions}{:: named \code{integer()} \cr
Resolution per \link{Param}, named by parameter ID.}
}
\value{
(\code{\link[data.table:data.table]{data.table::data.table()}}).
}
\description{
Generate a grid with a specified resolution in the parameter space.
The resolution for categorical parameters is ignored, these parameters
always produce a grid over all their valid levels.
For number params the endpoints of the params are always included in the grid.
}
\examples{
ps = ParamSet$new(list(
  ParamDbl$new("ratio", lower = 0, upper = 1),
  ParamFct$new("letters", levels = letters[1:3])
))
generate_design_grid(ps, 10)
}
\seealso{
Other generate_design: \code{\link{generate_design_lhs}},
  \code{\link{generate_design_random}}
}
\concept{generate_design}
