% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/generate_design_lhs.R
\name{generate_design_lhs}
\alias{generate_design_lhs}
\title{Generate a Space-Filling LHS Design}
\usage{
generate_design_lhs(param_set, n, lhs_fun = NULL)
}
\arguments{
\item{param_set}{:: \link{ParamSet}.}

\item{n}{:: \code{integer(1)} \cr
Number of points to sample.}

\item{lhs_fun}{:: \code{function(n, k)} \cr
Function to use to generate a LHS sample, with n samples and k values per param.
LHS functions are implemented in package \pkg{lhs}, default is to use \code{\link[lhs:maximinLHS]{lhs::maximinLHS()}}.}
}
\value{
(\code{\link[data.table:data.table]{data.table::data.table()}}).
}
\description{
Generate a space-filling design using Latin hypercube sampling.
}
\examples{
ps = ParamSet$new(list(
  ParamDbl$new("ratio", lower = 0, upper = 1),
  ParamFct$new("letters", levels = letters[1:3])
))
generate_design_lhs(ps, 10)
}
\seealso{
Other generate_design: \code{\link{generate_design_grid}},
  \code{\link{generate_design_random}}
}
\concept{generate_design}
