% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/ParamInt.R
\docType{data}
\name{ParamInt}
\alias{ParamInt}
\title{Integer Parameter}
\format{\link[R6:R6Class]{R6::R6Class} object inheriting from \link{Param}.}
\description{
A \link{Param} to describe integer parameters.
}
\section{Construction}{
\preformatted{ParamInt$new(id, lower = -Inf, upper = Inf, special_vals = list(), default = NO_DEF, tags = character())
}

Arguments of \link{Param}, and additionally:
\itemize{
\item \code{lower} :: \code{numeric(1)}\cr
Lower bound, can be \code{-Inf}.
\item \code{upper} :: \code{numeric(1)}\cr
Upper bound can be \code{+Inf}.
}
}

\section{Fields}{

Fields of \link{Param}, and additionally:
\itemize{
\item \code{lower} :: \code{numeric(1)}\cr
Lower bound.
\item \code{upper} :: \code{numeric(1)}\cr
Upper bound.
\item \code{levels} :: \code{NULL}\cr
Allowed levels.
Always \code{NULL} for this parameter.
\item \code{nlevels} :: \code{integer(1)} \cr
Number of categorical levels.
Here, the number integers in the range \code{[lower, upper]}, or \code{Inf} if unbounded.
\item \code{is_bounded} :: \code{logical(1)}\cr
Are the bounds finite?
}
}

\section{Methods}{

See \link{Param}.
}

\examples{
ParamInt$new("count", lower = 0, upper = 10, default = 1)
}
\seealso{
Other Params: \code{\link{ParamDbl}},
  \code{\link{ParamFct}}, \code{\link{ParamLgl}},
  \code{\link{ParamUty}}, \code{\link{Param}}
}
\concept{Params}
\keyword{datasets}
